# from

abstract fun from(dependencyNotation: Any)

Configures the model by reading it from a version catalog. A version catalog is a component published using the `version-catalog` plugin or a local TOML file.

This function can be called only once, further calls will result in an error. The passed notation should conform these constraints:

- If a file notation is passed, it should be a single file.
- If it's a resolvable dependency, it should resolve to a single file.

If the notation doesn't conform these constraints, an exception will be thrown at configuration time.

#### Parameters

dependencyNotation

any notation supported by org.gradle.api.artifacts.dsl.DependencyHandler